Subject: Re: [PATCH v2 3/5] gpio: msc313: MStar MSC313 GPIO driver

From: Marc Zyngier <[email-masked]>
Date: Wed, 11 Nov 2020 14:19:40 +0000

On 2020-11-11 14:09, Linus Walleij wrote:
> On Tue, Nov 10, 2020 at 3:19 PM Marc Zyngier <[email-masked]> wrote:
>> On 2020-11-10 14:02, Linus Walleij wrote:
> 
>> >> Probably nothing more than setting the callback to
>> >> irq_chip_set_affinity_parent,
>> >
>> > Hm, is this something all GPIO irqchips used on SMP systems
>> > should be doing? Or just hierarchical ones?
>> 
>> Probably only the hierarchical ones. I'd expect the non-hierarchical
>> GPIOs to be muxed behind a single interrupt, which makes it impossible
>> to move a single GPIO around, and moving the mux interrupt would break
>> userspace's expectations that interrupts move independently of each
>> others.
> 
> I found two suspects and sent patches. I think I might have some
> more candidates down in pinctrl. I do have some hierarchical IRQ
> that is on UP systems, I suppose these are not affected.

Yup, they look good. Feel free to add my Ack to them.
And yes, UP systems are naturally oblivious of interrupt affinity.

Thanks,

         M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel